#delimit ;

* Edit the insheet statement to reference the data file on your computer.;

insheet  
tucaseid
tulineno
eufsp
eugenhth
euhgt
euincome2
etwgt
ethgt
euinclvl
eufinlwgt
erspemch
erc19num 
exincome1
erincome
eeincome1
euprpmel
eugroshp
ertseat
ertsdrk
ertpreat
eudrink
euwgt
eueat
erhhch 
erbmi
exsclbrk
eesclbrk
exscllch
eescllch
erplwc
erpbwc
ereatad
erdrkad
using c:\ehresp_2007.dat, names comma ;

label variable tucaseid   "ATUS Case ID (14-digit identifier)";
label variable tulineno   "ATUS person line number";
label variable eufsp      "In the past 30 days, did you or anyone in your household get Food Stamp benefits?";
label variable eugenhth   "In general, would you say that your physical health was excellent, very good, good, fair, or poor?";
label variable euhgt      "How tall are you without shoes? (in inches)";
label variable euincome2  "Last month, was your total household income before taxes more or less than (amount) per month?";
label variable etwgt      "Topcode flag for weight (EUWGT)";
label variable ethgt      "Topcode flag for height (EUHGT)";
label variable euinclvl   "Identifies which income values were asked in EEINCOME1 and EUINCOME2";
label variable eufinlwgt  "Eating and Health Module final weight";
label variable erspemch   "Change in spouse or unmarried partner's labor force status or full time or part time employment status between CPS and ATUS";
label variable erc19num   "Number of household children < 19 in respondent's household";
label variable exincome1  "EEINCOME1: Allocation flag";
label variable erincome   "Relationship between income and poverty threshold";
label variable eeincome1  "Edited: Last month, was your total household income before taxes more or less than (amount) per month?";
label variable euprpmel   "Are you the person who usually prepares the meals in your household?";
label variable eugroshp   "Are you the person who usually does the grocery shopping in your household?";
label variable ertseat    "Total amount of time spent in secondary eating (in minutes)";
label variable ertsdrk    "Total amount of time spent in secondary drinking (in minutes)";
label variable ertpreat   "Total amount of time spent in primary eating and drinking (in minutes)";
label variable eudrink    "Not including plain water, were there any times when you were drinking any beverages yesterday, for example while you were doing something else?";
label variable euwgt      "How much do you weigh without shoes? (in pounds)";
label variable eueat      "Were there any times you were eating any meals or snacks yesterday, for example while you were doing something else?";
label variable erhhch     "Change in household composition between CPS and ATUS";
label variable erbmi      "Body mass index";
label exsclbrk            "EESCLBRK: Allocation flag";
label eesclbrk            "Edited: In the past week, did any of your household children under the age of 19 eat a breakfast that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?";
label exscllch            "EESCLLCH: Allocation flag";
label eescllch            "Edited: In the past week, did any of your household children under the age of 19 eat a lunch that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?";
label erplwc              "Proportion of household children who ate lunch at a school, day care, Head Start center, or summer day program";
label erpbwc              "Proportion of household children < 19 that ate breakfast at a school, day care, Head Start center, or summer day program";
label ereatad             "Respondent reported that secondary eating occurred all day";
label erdrkad             "Respondent reported that secondary drinking occurred all day";

capture label define labeleeincome1
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 185 percent of poverty threshold"
 2 "Income <= 185 percent of poverty threshold"
;
capture label define labelerhhch
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Number of persons living in ATUS household > number of persons living in the CPS household at time of last CPS interview"
 2 "Number of persons living in ATUS household < number of persons living in the CPS household at time of last CPS interview"
 3 "Number of persons living in ATUS household = number of persons living in the CPS household at time of last CPS interview"
;
capture label define labelerincome
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 185 % of poverty threshold"
 2 "Income <= 185 % of poverty threshold"
 3 "130 % of poverty threshold < Income < 185 % of poverty threshold"
 4 "Income > 130 % of poverty threshold"
 5 "Income <= 130 % of poverty threshold"
;
capture label define labelerspemch
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Spouse/unmarried partner's employment status changed from full time to part time or hours vary"
 2 "Spouse/unmarried partner's employment status changed from part time or hours vary to full time"
 3 "Spouse/unmarried partner's labor force status changed from employed to unemployed or not in the labor force"
 4 "Spouse/unmarried partner's labor force status changed from unemployed or not in the labor force to employed"
 5 "Spouse/unmarried partner's employment and/or labor force status did not change"
;
capture label define labelethgt
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "EUHGT not topcoded or bottomcoded"
 1 "EUHGT topcoded (set to maximum value)"
 2 "EUGHT bottomcoded (set to minimum value)"
;
capture label define labeletwgt
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "EUWGT not topcoded or bottomcoded"
 1 "EUWGT topcoded (set to maximum value)"
 2 "EUWGT bottomcoded (set to minimum value)"
;
capture label define labeleudrink
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
;
capture label define labeleueat
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
;
capture label define labeleufsp
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
;
capture label define labeleugenhth
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Excellent"
 2 "Very good"
 3 "Good"
 4 "Fair"
 5 "Poor"
;
capture label define labeleugroshp
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
 3 "Split equally with other household member(s)"
/
capture label define labeleuinclvl
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "First set of income levels"
 2 "Second set of income levels"
 3 "Third set of income levels"
;
capture label define labeleuincome2
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 130 percent of poverty threshold"
 2 "Income <= 130 percent of poverty threshold"
;
capture label define labeleuprpmel
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
 3 "Split it equally with other household member(s)"
;
capture label define labelexincome1
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "Value to no change"
 1 "Blank to no change"
 2 "Don't know to no change"
 3 "Refused to no change"
 10 "Value to value"
 11 "Blank to value"
 12 "Don't know to value"
 13 "Refused to value"
 20 "Value to longitudinal value"
 21 "Blank to longitudinal value"
 22 "Don't know to longitudinal value"
 23 "Refused to longitudinal value"
 30 "Value to allocated longitudinal value (unused)"
 31 "Blank to allocated longitudinal value (unused)"
 32 "Don't know to allocated longitudinal value (unused)"
 33 "Refused to allocated longitudinal value (unused)"
 40 "Value to allocated value"
 41 "Blank to allocated value"
 42 "Don't know to allocated value"
 43 "Refused to allocated value"
 50 "Value to blank"
 51 "Blank to blank"
 52 "Don't know to blank"
 53 "Refused to blank"
 71 "Don't know to assigned from respondent's earnings"
 72 "Don't know to assigned from earnings of respondent's spouse or unmarried partner"
 73 "Don't know to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 74 "Don't know to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 75 "Don't know to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 76 "Don't know to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 77 "Don't know to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
 81 "Refused to assigned from respondent's earnings"
 82 "Refused to assigned from earnings of respondent's spouse or unmarried partner"
 83 "Refused to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 84 "Refused to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 85 "Refused to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 86 "Refused to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 87 "Refused to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
;
capture label define labelerbmi
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labelerc19num
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labelertpreat
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labelertsdrk
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labelertseat
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labeleuhgt
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labeleuwgt
-5 "Respondent is pregnant"
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
;
capture label define labeleesclbrk
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
3 "Children did not attend school, day care, Head Start center, or summer day program"
;
capture label define labeleescllch
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
3 "Children did not attend school, day care, Head Start center, or summer day program"
;
capture label define labelereatad
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
;
capture label define labelerdrkad
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
;

label values eeincome1 labeleeincome1;
label values erhhch    labelerhhch;
label values erincome  labelerincome;
label values erspemch  labelerspemch;
label values ethgt     labelethgt;
label values etwgt     labeletwgt;
label values eudrink   labeleudrink;
label values eueat     labeleueat;
label values eufsp     labeleufsp;
label values eugenhth  labeleugenhth;
label values eugroshp  labeleugroshp;
label values euinclvl  labeleuinclvl;
label values euincome2 labeleuincome2;
label values euprpmel  labeleuprpmel;
label values exincome1 labelexincome1;
label values erbmi     labelerbmi;
label values erc19num  labelerc19num;
label values ertpreat  labelertpreat;
label values ertsdrk   labelertsdrk;
label values ertseat   labelertseat;
label values euhgt     labeleuhgt;
label values euwgt     labeleuwgt;
label values eesclbrk  labeleesclbrk;
label values eescllch  labeleescllch;
label values ereatad   labelereatad;
label values erdrkad   labelerdrkad;

describe, short;

