data ehresp_2007;
infile "c:\ehresp_2007.dat" lrecl=8192 dsd dlm="," missover firstobs=2;

length TUCASEID $14 TULINENO EUFSP EUGENHTH EUHGT EUINCOME2 ETWGT ETHGT
 EUINCLVL EUFINLWGT ERSPEMCH ERC19NUM EXINCOME1 ERINCOME EEINCOME1 EUPRPMEL
 EUGROSHP ERTSEAT ERTSDRK ERTPREAT EUDRINK EUWGT EUEAT ERHHCH ERBMI
 EXSCLBRK EESCLBRK EXSCLLCH EESCLLCH ERPLWC ERPBWC EREATAD ERDRKAD 8;

input TUCASEID TULINENO EUFSP EUGENHTH EUHGT EUINCOME2 ETWGT ETHGT
 EUINCLVL EUFINLWGT ERSPEMCH ERC19NUM EXINCOME1 ERINCOME EEINCOME1 EUPRPMEL
 EUGROSHP ERTSEAT ERTSDRK ERTPREAT EUDRINK EUWGT EUEAT ERHHCH ERBMI
 EXSCLBRK EESCLBRK EXSCLLCH EESCLLCH ERPLWC ERPBWC EREATAD ERDRKAD;

label TUCASEID = "ATUS Case ID (14-digit identifier)";
label TULINENO = "ATUS person line number";
label EUFSP = "In the past 30 days, did you or anyone in your household get Food Stamp benefits?";
label EUGENHTH = "In general, would you say that your physical health was excellent, very good, good, fair, or poor?";
label EUHGT = "How tall are you without shoes? (in inches)";
label EUINCOME2 = "Last month, was your total household income before taxes more or less than (amount) per month?";
label ETWGT = "Topcode flag for weight (EUWGT)";
label ETHGT = "Topcode flag for height (EUHGT)";
label EUINCLVL = "Identifies which income values were asked in EEINCOME1 and EUINCOME2";
label EUFINLWGT = "Eating and Health Module final weight";
label ERSPEMCH = "Change in spouse or unmarried partner's labor force status or full time or part time employment status between CPS and ATUS";
label ERC19NUM = "Number of household children < 19 in respondent's household";
label EXINCOME1 = "EEINCOME1: Allocation flag";
label ERINCOME = "Relationship between income and poverty threshold";
label EEINCOME1 = "Edited: Last month, was your total household income before taxes more or less than (amount) per month?";
label EUPRPMEL = "Are you the person who usually prepares the meals in your household?";
label EUGROSHP = "Are you the person who usually does the grocery shopping in your household?";
label ERTSEAT = "Total amount of time spent in secondary eating (in minutes)";
label ERTSDRK = "Total amount of time spent in secondary drinking (in minutes)";
label ERTPREAT = "Total amount of time spent in primary eating and drinking (in minutes)";
label EUDRINK = "Not including plain water, were there any times when you were drinking any beverages yesterday, for example while you were doing something else?";
label EUWGT = "How much do you weigh without shoes? (in pounds)";
label EUEAT = "Were there any times you were eating any meals or snacks yesterday, for example while you were doing something else? ";
label ERHHCH = "Change in household composition between CPS and ATUS";
label ERBMI = "Body mass index";
label EXSCLBRK = "EESCLBRK: Allocation flag";
label EESCLBRK = "Edited: In the past week, did any of your household children under the age of 19 eat a breakfast that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?";
label EXSCLLCH = "EESCLLCH: Allocation flag";
label EESCLLCH = "Edited: In the past week, did any of your household children under the age of 19 eat a lunch that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?";
label ERPLWC = "Proportion of household children who ate lunch at a school, day care, Head Start center, or summer day program";
label ERPBWC = "Proportion of household children < 19 that ate breakfast at a school, day care, Head Start center, or summer day program";
label EREATAD = "Respondent reported that secondary eating occurred all day";
label ERDRKAD = "Respondent reported that secondary drinking occurred all day";


proc format;
value EEINCOMEA /*EEINCOME1*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Income > 185 percent of poverty threshold"
 2 = "Income <= 185 percent of poverty threshold"
;
value ERHHCH /*ERHHCH*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Number of persons living in ATUS household > number of persons living in the CPS household at time of last CPS interview"
 2 = "Number of persons living in ATUS household < number of persons living in the CPS household at time of last CPS interview"
 3 = "Number of persons living in ATUS household = number of persons living in the CPS household at time of last CPS interview"
;
value ERINCOME /*ERINCOME*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Income > 185 % of poverty threshold"
 2 = "Income <= 185 % of poverty threshold"
 3 = "130 % of poverty threshold < Income < 185 % of poverty threshold"
 4 = "Income > 130 % of poverty threshold"
 5 = "Income <= 130 % of poverty threshold"
;
value ERSPEMCH /*ERSPEMCH*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Spouse/unmarried partner's employment status changed from full time to part time or hours vary"
 2 = "Spouse/unmarried partner's employment status changed from part time or hours vary to full time"
 3 = "Spouse/unmarried partner's labor force status changed from employed to unemployed or not in the labor force"
 4 = "Spouse/unmarried partner's labor force status changed from unemployed or not in the labor force to employed"
 5 = "Spouse/unmarried partner's employment and/or labor force status did not change"
;
value ETHGT /*ETHGT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 0 = "EUHGT not topcoded or bottomcoded"
 1 = "EUHGT topcoded (set to maximum value)"
 2 = "EUGHT bottomcoded (set to minimum value)"
;
value ETWGT /*ETWGT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 0 = "EUWGT not topcoded or bottomcoded"
 1 = "EUWGT topcoded (set to maximum value)"
 2 = "EUWGT bottomcoded (set to minimum value)"
;
value EUDRINK /*EUDRINK*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Yes"
 2 = "No"
;
value EUEAT /*EUEAT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Yes"
 2 = "No"
;
value EUFSP /*EUFSP*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Yes"
 2 = "No"
;
value EUGENHTH /*EUGENHTH*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Excellent"
 2 = "Very good"
 3 = "Good"
 4 = "Fair"
 5 = "Poor"
;
value EUGROSHP /*EUGROSHP*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Yes"
 2 = "No"
 3 = "Split equally with other household member(s)"
;
value EUINCLVL /*EUINCLVL*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "First set of income levels"
 2 = "Second set of income levels"
 3 = "Third set of income levels"
;
value EUINCOMEB /*EUINCOME2*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Income > 130 percent of poverty threshold"
 2 = "Income <= 130 percent of poverty threshold"
;
value EUPRPMEL /*EUPRPMEL*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 1 = "Yes"
 2 = "No"
 3 = "Split it equally with other household member(s)"
;
value EXINCOMEA /*EXINCOME1*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
 0 = "Value to no change"
 1 = "Blank to no change"
 2 = "Don't know to no change"
 3 = "Refused to no change"
 10 = "Value to value"
 11 = "Blank to value"
 12 = "Don't know to value"
 13 = "Refused to value"
 20 = "Value to longitudinal value"
 21 = "Blank to longitudinal value"
 22 = "Don't know to longitudinal value"
 23 = "Refused to longitudinal value"
 30 = "Value to allocated longitudinal value (unused)"
 31 = "Blank to allocated longitudinal value (unused)"
 32 = "Don't know to allocated longitudinal value (unused)"
 33 = "Refused to allocated longitudinal value (unused)"
 40 = "Value to allocated value"
 41 = "Blank to allocated value"
 42 = "Don't know to allocated value"
 43 = "Refused to allocated value"
 50 = "Value to blank"
 51 = "Blank to blank"
 52 = "Don't know to blank"
 53 = "Refused to blank"
 71 = "Don't know to assigned from respondent's earnings"
 72 = "Don't know to assigned from earnings of respondent's spouse or unmarried partner"
 73 = "Don't know to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 74 = "Don't know to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 75 = "Don't know to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 76 = "Don't know to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 77 = "Don't know to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
 81 = "Refused to assigned from respondent's earnings"
 82 = "Refused to assigned from earnings of respondent's spouse or unmarried partner"
 83 = "Refused to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 84 = "Refused to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 85 = "Refused to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 86 = "Refused to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 87 = "Refused to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
;
value ERBMI /*ERBMI*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value ERC19NUM /*ERC19NUM*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value ERTPREAT /*ERTPREAT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value ERTSDRK /*ERTSDRK*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value ERTSEAT /*ERTSEAT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value EUHGT /*EUHGT*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value EUWGT /*EUWGT*/
-5 = "Respondent is pregnant"
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
;
value EESCLBRK /*EESCLBRK*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1  = "Yes"
2  = "No"
3  = "Children did not attend school, day care, Head Start center, or summer day program"
;
value EESCLLCH /*EESCLLCH*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1  = "Yes"
2  = "No"
3  = "Children did not attend school, day care, Head Start center, or summer day program"
;
value EREATAD /*EREATAD*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1  = "Yes"
2  = "No"
;
value ERDRKAD /*ERDRKAD*/
-1 = "Blank"
-2 = "Don't Know"
-3 = "Refused"
1  = "Yes"
2  = "No"
;
run;
proc contents data=ehresp_2007; run;
