GET DATA  /TYPE = TXT
 /FILE = 'c:\ehresp_2007.dat'
 /DELCASE = LINE
 /DELIMITERS = ","
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
TUCASEID  F14
TULINENO  F8
EUFSP     F8
EUGENHTH  F8
EUHGT     F8
EUINCOME2 F8
ETWGT     F8
ETHGT     F8
EUINCLVL  F8
EUFINLWGT F8
ERSPEMCH  F8
ERC19NUM  F8 
EXINCOME1 F8
ERINCOME  F8
EEINCOME1 F8
EUPRPMEL  F8
EUGROSHP  F8
ERTSEAT   F8
ERTSDRK   F8
ERTPREAT  F8
EUDRINK   F8
EUWGT     F8
EUEAT     F8
ERHHCH    F8 
ERBMI     F8
EXSCLBRK  F8
EESCLBRK  F8
EXSCLLCH  F8
EESCLLCH  F8
ERPLWC    F8
ERPBWC    F8
EREATAD   F8
ERDRKAD   F8
.
VARIABLE LABELS
TUCASEID   "ATUS Case ID (14-digit identifier)" /
TULINENO   "ATUS person line number" /
EUFSP      "In the past 30 days, did you or anyone in your household get Food Stamp benefits?" /
EUGENHTH   "In general, would you say that your physical health was excellent, very good, good, fair, or poor?" /
EUHGT      "How tall are you without shoes? (in inches)" /
EUINCOME2  "Last month, was your total household income before taxes more or less than (amount) per month?" /
ETWGT      "Topcode flag for weight (EUWGT)" /
ETHGT      "Topcode flag for height (EUHGT)" /
EUINCLVL   "Identifies which income values were asked in EEINCOME1 and EUINCOME2" /
EUFINLWGT  "Eating and Health Module final weight" /
ERSPEMCH   "Change in spouse or unmarried partner's labor force status or full time or part time employment status between CPS and ATUS" /
ERC19NUM   "Number of household children < 19 in respondent's household" /
EXINCOME1  "EEINCOME1: Allocation flag" /
ERINCOME   "Relationship between income and poverty threshold" /
EEINCOME1  "Edited: Last month, was your total household income before taxes more or less than (amount) per month?" /
EUPRPMEL   "Are you the person who usually prepares the meals in your household?" /
EUGROSHP   "Are you the person who usually does the grocery shopping in your household?" /
ERTSEAT    "Total amount of time spent in secondary eating (in minutes)" /
ERTSDRK    "Total amount of time spent in secondary drinking (in minutes)" /
ERTPREAT   "Total amount of time spent in primary eating and drinking (in minutes)" /
EUDRINK    "Not including plain water, were there any times when you were drinking any beverages yesterday, for example while you were doing something else?" /
EUWGT      "How much do you weigh without shoes? (in pounds)" /
EUEAT      "Were there any times you were eating any meals or snacks yesterday, for example while you were doing something else? " /
ERHHCH     "Change in household composition between CPS and ATUS" /
ERBMI      "Body mass index" /
EXSCLBRK   "EESCLBRK: Allocation flag" /
EESCLBRK   "Edited: In the past week, did any of your household children under the age of 19 eat a breakfast that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?" /
EXSCLLCH   "EESCLLCH: Allocation flag" /
EESCLLCH   "Edited: In the past week, did any of your household children under the age of 19 eat a lunch that was prepared and served at a school, a paid day care, a Head Start center, or a summer day program?" /
ERPLWC     "Proportion of household children who ate lunch at a school, day care, Head Start center, or summer day program" /
ERPBWC     "Proportion of household children < 19 that ate breakfast at a school, day care, Head Start center, or summer day program" /
EREATAD    "Respondent reported that secondary eating occurred all day" /
ERDRKAD    "Respondent reported that secondary drinking occurred all day" /
.
VALUE LABELS
EEINCOME1
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 185 percent of poverty threshold"
 2 "Income <= 185 percent of poverty threshold"
/
ERHHCH
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Number of persons living in ATUS household > number of persons living in the CPS household at time of last CPS interview"
 2 "Number of persons living in ATUS household < number of persons living in the CPS household at time of last CPS interview"
 3 "Number of persons living in ATUS household = number of persons living in the CPS household at time of last CPS interview"
/
ERINCOME
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 185 % of poverty threshold"
 2 "Income <= 185 % of poverty threshold"
 3 "130 % of poverty threshold < Income < 185 % of poverty threshold"
 4 "Income > 130 % of poverty threshold"
 5 "Income <= 130 % of poverty threshold"
/
ERSPEMCH
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Spouse/unmarried partner's employment status changed from full time to part time or hours vary"
 2 "Spouse/unmarried partner's employment status changed from part time or hours vary to full time"
 3 "Spouse/unmarried partner's labor force status changed from employed to unemployed or not in the labor force"
 4 "Spouse/unmarried partner's labor force status changed from unemployed or not in the labor force to employed"
 5 "Spouse/unmarried partner's employment and/or labor force status did not change"
/
ETHGT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "EUHGT not topcoded or bottomcoded"
 1 "EUHGT topcoded (set to maximum value)"
 2 "EUGHT bottomcoded (set to minimum value)"
/
ETWGT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "EUWGT not topcoded or bottomcoded"
 1 "EUWGT topcoded (set to maximum value)"
 2 "EUWGT bottomcoded (set to minimum value)"
/
EUDRINK
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
/
EUEAT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
/
EUFSP
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
/
EUGENHTH
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Excellent"
 2 "Very good"
 3 "Good"
 4 "Fair"
 5 "Poor"
/
EUGROSHP
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
 3 "Split equally with other household member(s)"
/
EUINCLVL
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "First set of income levels"
 2 "Second set of income levels"
 3 "Third set of income levels"
/
EUINCOME2
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Income > 130 percent of poverty threshold"
 2 "Income <= 130 percent of poverty threshold"
/
EUPRPMEL
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 1 "Yes"
 2 "No"
 3 "Split it equally with other household member(s)"
/
EXINCOME1
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
 0 "Value to no change"
 1 "Blank to no change"
 2 "Don't know to no change"
 3 "Refused to no change"
 10 "Value to value"
 11 "Blank to value"
 12 "Don't know to value"
 13 "Refused to value"
 20 "Value to longitudinal value"
 21 "Blank to longitudinal value"
 22 "Don't know to longitudinal value"
 23 "Refused to longitudinal value"
 30 "Value to allocated longitudinal value (unused)"
 31 "Blank to allocated longitudinal value (unused)"
 32 "Don't know to allocated longitudinal value (unused)"
 33 "Refused to allocated longitudinal value (unused)"
 40 "Value to allocated value"
 41 "Blank to allocated value"
 42 "Don't know to allocated value"
 43 "Refused to allocated value"
 50 "Value to blank"
 51 "Blank to blank"
 52 "Don't know to blank"
 53 "Refused to blank"
 71 "Don't know to assigned from respondent's earnings"
 72 "Don't know to assigned from earnings of respondent's spouse or unmarried partner"
 73 "Don't know to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 74 "Don't know to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 75 "Don't know to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 76 "Don't know to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 77 "Don't know to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
 81 "Refused to assigned from respondent's earnings"
 82 "Refused to assigned from earnings of respondent's spouse or unmarried partner"
 83 "Refused to assigned from earnings of respondent's other household members (not spouse or unmarried partner)"
 84 "Refused to assigned from earnings of respondent and respondent's spouse or unmarried partner"
 85 "Refused to assigned from earnings of respondent and respondent's other household members (not spouse or unmarried partner)"
 86 "Refused to assigned from earnings of respondent's spouse or unmarried partner and respondent's other household members"
 87 "Refused to assigned from earnings of respondent, respondent's spouse or unmarried partner, and respondent's other household members"
/
ERBMI
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
ERC19NUM
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
ERTPREAT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
ERTSDRK
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
ERTSEAT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
EUHGT
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
EUWGT
-5 "Respondent is pregnant"
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
/
EESCLBRK
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
3 "Children did not attend school, day care, Head Start center, or summer day program"
/
EESCLLCH
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
3 "Children did not attend school, day care, Head Start center, or summer day program"
/
EREATAD
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
/
ERDRKAD
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Yes"
2 "No"
/
.

CACHE.
EXECUTE.
